diff --git a/tests/language/stats/frequencies.at b/tests/language/stats/frequencies.at
index 0d6433c..63716e0 100644
--- a/tests/language/stats/frequencies.at
+++ b/tests/language/stats/frequencies.at
@@ -20,7 +20,7 @@ EXECUTE.
 
 FREQUENCIES /VAR = name/ORDER=ANALYSIS.
 ])
-AT_CHECK([pspp -O format=csv frequencies.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0], [dnl
 Table: name
 Value Label,Value,Frequency,Percent,Valid Percent,Cum Percent
 ,bar     ,2,20.00,20.00,20.00
@@ -46,7 +46,7 @@ end data.
 frequencies v1 v2/statistics=none/ORDER=VARIABLE.
 frequencies v1 v2/statistics=none.
 ])
-AT_CHECK([pspp -O format=csv frequencies.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0],
   [Table: v1
 Value Label,Value,Frequency,Percent,Valid Percent,Cum Percent
 ,.00,1,25.00,25.00,25.00
@@ -94,7 +94,7 @@ end data.
 
 frequencies v1 v2/statistics=none/FORMAT=LIMIT(3).
 ])
-AT_CHECK([pspp -O format=csv frequencies.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0], [dnl
 Table: v2
 Value Label,Value,Frequency,Percent,Valid Percent,Cum Percent
 ,1.00,1,25.00,25.00,25.00
@@ -120,7 +120,7 @@ list.
 
 frequencies v1/statistics=none.
 ])
-AT_CHECK([pspp -o - -O format=csv -o pspp.html frequencies.sps], [0],
+AT_CHECK([$RUNNER $PSPP -o - -O format=csv -o pspp.html frequencies.sps], [0],
   [Table: Data List
 v1,v2
 .00,1.00
@@ -165,7 +165,7 @@ frequencies /x /format=notable /statistics=none
 ])
 # Cannot use the CSV driver for this because it does not output charts
 # at all.
-AT_CHECK([pspp frequencies.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP frequencies.sps], [0], [dnl
 Reading free-form data from INLINE.
 +--------+------+
 |Variable|Format|
@@ -203,7 +203,7 @@ frequencies /x
 ])
 # Cannot use the CSV driver for this because it does not output charts
 # at all.
-AT_CHECK([pspp -O format=pdf frequencies.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=pdf frequencies.sps], [0], [ignore])
 AT_CLEANUP
 
 # Tests for a bug which crashed PSPP when the median and a histogram
@@ -217,7 +217,7 @@ end data.
 
 frequencies /x /histogram /STATISTICS=median.
 ])
-AT_CHECK([pspp -O format=csv frequencies.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0], [ignore])
 dnl Ignore output - No crash test.
 AT_CLEANUP
 
@@ -244,7 +244,7 @@ FREQUENCIES /X .
 
 FINISH
 ])
-AT_CHECK([pspp -O format=csv frequencies.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0],
   [Table: Reading free-form data from INLINE.
 Variable,Format
 SEX,A1
@@ -300,7 +300,7 @@ FREQUENCIES
 	/FORMAT=NOTABLE
 	/PERCENTILES = 0 25 33.333 50 66.666 75 100.
 ])
-AT_CHECK([pspp -O format=csv frequencies.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0],
   [FREQUENCIES_NTILES_OUTPUT])
 AT_CLEANUP
 
@@ -321,7 +321,7 @@ FREQUENCIES
 	/NTILES = 3
 	/NTILES = 4.
 ])
-AT_CHECK([pspp -O format=csv frequencies.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0],
   [FREQUENCIES_NTILES_OUTPUT])
 AT_CLEANUP
 
@@ -341,7 +341,7 @@ FREQUENCIES
 	/ALGORITHM=COMPATIBLE
 	/PERCENTILES = 0 25 50 75 100.
 ])
-AT_CHECK([pspp -O format=csv frequencies.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0],
   [Table: X
 Value Label,Value,Frequency,Percent,Valid Percent,Cum Percent
 ,1.00,1,20.00,20.00,20.00
@@ -381,7 +381,7 @@ FREQUENCIES
 	VAR=x
 	/PERCENTILES = 0 25 50 75 100.
 ])
-AT_CHECK([pspp -O format=csv frequencies.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0],
   [Table: X
 Value Label,Value,Frequency,Percent,Valid Percent,Cum Percent
 ,1.00,1,20.00,20.00,20.00
@@ -425,7 +425,7 @@ FREQUENCIES
 	VAR=x
 	/PERCENTILES = 0 25 50 75 100.
 ])
-AT_CHECK([pspp -O format=csv frequencies.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0],
   [Table: X
 Value Label,Value,Frequency,Percent,Valid Percent,Cum Percent
 ,1.00,2.00,20.00,20.00,20.00
@@ -467,7 +467,7 @@ FREQUENCIES
 	VAR=x
 	/PERCENTILES = 0 25 50 75 100.
 ])
-AT_CHECK([pspp -O format=csv frequencies.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0],
   [Table: X
 Value Label,Value,Frequency,Percent,Valid Percent,Cum Percent
 ,1.00,1.00,16.67,16.67,16.67
@@ -508,7 +508,7 @@ FREQUENCIES
 	VAR=x
 	/PERCENTILES = 0 25 50 75 100.
 ])
-AT_CHECK([pspp -O format=csv frequencies.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0], [dnl
 Table: X
 Value Label,Value,Frequency,Percent,Valid Percent,Cum Percent
 ,1.00,7.00,17.50,17.50,17.50
@@ -552,7 +552,7 @@ FREQUENCIES
 	/PERCENTILES = 0 25 50 75 100.
 ])
 
-AT_CHECK([pspp -O format=csv frequencies.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv frequencies.sps], [0],
   [Table: X
 Value Label,Value,Frequency,Percent,Valid Percent,Cum Percent
 ,1.00,1.00,10.00,16.67,16.67
@@ -607,7 +607,7 @@ FREQUENCIES
 	.
 ])
 
-AT_CHECK([pspp frequencies.sps], [0],  [ignore])
+AT_CHECK([$RUNNER $PSPP frequencies.sps], [0],  [ignore])
 AT_CLEANUP
 
 
@@ -626,7 +626,7 @@ FREQUENCIES
 	.
 ])
 
-AT_CHECK([pspp median.sps -O format=csv], [0],  [dnl
+AT_CHECK([$RUNNER $PSPP median.sps -O format=csv], [0],  [dnl
 Table: x
 Value Label,Value,Frequency,Percent,Valid Percent,Cum Percent
 ,1.00,1,33.33,33.33,33.33
@@ -663,7 +663,7 @@ FREQUENCIES
 	.
 ])
 
-AT_CHECK([pspp median.sps -O format=csv], [0],  [dnl
+AT_CHECK([$RUNNER $PSPP median.sps -O format=csv], [0],  [dnl
 Table: x
 Value Label,Value,Frequency,Percent,Valid Percent,Cum Percent
 ,10.00,1,33.33,33.33,33.33
@@ -713,7 +713,7 @@ FREQUENCIES
 	.
 ])
 
-AT_CHECK([pspp empty.sps -O format=csv], [0],  [dnl
+AT_CHECK([$RUNNER $PSPP empty.sps -O format=csv], [0],  [dnl
 Table: x
 Value Label,Value,Frequency,Percent,Valid Percent,Cum Percent
 ,.  ,3,100.00,Missing,
diff --git a/tests/language/stats/glm.at b/tests/language/stats/glm.at
index de1ad2a..3c4de85 100644
--- a/tests/language/stats/glm.at
+++ b/tests/language/stats/glm.at
@@ -55,7 +55,7 @@ glm y by   b a c
   .
 ])
 
-AT_CHECK([pspp -O format=csv latin.sps | sed 's/329.62[[678]]/329.62/'], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv latin.sps | sed 's/329.62[[678]]/329.62/'], [0],
   [dnl
 Table: Tests of Between-Subjects Effects
 Source,Type III Sum of Squares,df,Mean Square,F,Sig.
@@ -106,7 +106,7 @@ glm points by Factor0 Factor1
 ])
 
 
-AT_CHECK([pspp -O format=csv 2by2.sps ], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv 2by2.sps ], [0],
   [dnl
 Table: Tests of Between-Subjects Effects
 Source,Type III Sum of Squares,df,Mean Square,F,Sig.
@@ -203,7 +203,7 @@ glm dv by Agrp Bgrp
 ])
 
 
-AT_CHECK([pspp -O format=csv type1.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv type1.sps], [0],
   [dnl
 Table: Tests of Between-Subjects Effects
 Source,Type I Sum of Squares,df,Mean Square,F,Sig.
@@ -238,7 +238,7 @@ glm dv by Agrp Bgrp
 ])
 
 
-AT_CHECK([pspp -O format=csv type2.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv type2.sps], [0],
   [dnl
 Table: Tests of Between-Subjects Effects
 Source,Type II Sum of Squares,df,Mean Square,F,Sig.
@@ -305,7 +305,7 @@ GLM depvar by A
 
 ])
 
-AT_CHECK([pspp -O format=csv intercept-exclude.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv intercept-exclude.sps], [0],
   [dnl
 Table: Tests of Between-Subjects Effects
 Source,Type III Sum of Squares,df,Mean Square,F,Sig.
diff --git a/tests/language/stats/graph.at b/tests/language/stats/graph.at
index e3dce9d..377760a 100644
--- a/tests/language/stats/graph.at
+++ b/tests/language/stats/graph.at
@@ -19,7 +19,7 @@ GRAPH
 
 ])
 
-AT_CHECK([pspp -O format=csv scatterplot.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv scatterplot.sps], [0], [ignore])
 
 AT_CLEANUP
 
@@ -75,7 +75,7 @@ Recode CityNum
 
 ])
 
-AT_CHECK([pspp -O format=pdf scatterlong.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=pdf scatterlong.sps], [0], [ignore])
 AT_CLEANUP
 
 AT_SETUP([GRAPH missing values don't crash])
@@ -95,7 +95,7 @@ graph
 graph
       /histogram = x. 
 ])
-AT_CHECK([pspp -o pspp.pdf scatter.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.pdf scatter.sps])
 dnl Ignore output -- this is just a no-crash check.
 AT_CLEANUP
 
@@ -118,7 +118,7 @@ graph
       /histogram = x
       /missing = VARIABLE.
 ])
-AT_CHECK([pspp -o pspp.pdf scatter.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.pdf scatter.sps])
 dnl Ignore output -- this is just a no-crash check.
 AT_CLEANUP
 
@@ -142,7 +142,7 @@ graph
       /scatterplot = x with y by z.
 
 ])
-AT_CHECK([pspp -o pspp.pdf scatter.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.pdf scatter.sps])
 dnl Ignore output -- this is just a no-crash check.
 AT_CLEANUP
 
@@ -160,7 +160,7 @@ graph
 
 ])
 
-AT_CHECK([pspp -o pspp.pdf null-hist.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.pdf null-hist.sps], [0], [ignore])
 dnl Ignore output -- this is just a no-crash check.
 AT_CLEANUP
 
@@ -189,7 +189,7 @@ COMPUTE  R = TRUNC(RV.UNIFORM(1,5)).
 GRAPH /BAR = MEAN (mtbf) BY factory BY R.
 ])
 
-AT_CHECK([pspp -o pspp.pdf barchart.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.pdf barchart.sps], [0], [ignore])
 dnl Ignore output -- this is just a no-crash check.
 
 AT_CLEANUP
@@ -217,7 +217,7 @@ end data.
 GRAPH /BAR = COUNT(x) BY y.
 ])
 
-AT_CHECK([pspp -o pspp.pdf barchart.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.pdf barchart.sps], [1], [ignore])
 dnl Ignore output -- this is just a no-crash check.
 
 AT_CLEANUP
@@ -246,7 +246,7 @@ end data.
 GRAPH /BAR = SCROD BY y.
 ])
 
-AT_CHECK([pspp -o pspp.pdf barchart.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.pdf barchart.sps], [1], [ignore])
 dnl Ignore output -- this is just a no-crash check.
 
 AT_CLEANUP
@@ -287,7 +287,7 @@ GRAPH /BAR = MAXIMUM(y) BY z BY y.
 GRAPH /BAR = MINIMUM(y) BY z BY y.
 ])
 
-AT_CHECK([pspp -o pspp.pdf barchart.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.pdf barchart.sps], [0], [ignore])
 dnl Ignore output -- this is just a no-crash check.
 
 AT_CLEANUP
\ No newline at end of file
diff --git a/tests/language/stats/logistic.at b/tests/language/stats/logistic.at
index b7285e2..ab7a7ab 100644
--- a/tests/language/stats/logistic.at
+++ b/tests/language/stats/logistic.at
@@ -93,7 +93,7 @@ logistic regression
 	.
 ])
 
-AT_CHECK([pspp -O format=csv lr-data.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv lr-data.sps], [0],
   [dnl
 Table: Dependent Variable Encoding
 Original Value,Internal Value
@@ -147,7 +147,7 @@ logistic regression
 	.
 ])
 
-AT_CHECK([pspp -O format=csv lr-data.sps > run0], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv lr-data.sps > run0], [0], [ignore])
 
 dnl Append some cases with missing values into the data.
 cat >> lr-data.txt << HERE
@@ -157,7 +157,7 @@ cat >> lr-data.txt << HERE
  108.00    99      5.00      3.00     2.00   .28  4      34     .00897  -1.00905 1
 HERE
 
-AT_CHECK([pspp -O format=csv lr-data.sps > run1], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv lr-data.sps > run1], [0], [ignore])
 
 dnl Only the summary information should be different
 AT_CHECK([diff run0 run1], [1], [dnl
@@ -210,8 +210,8 @@ logistic regression
 ])
 
 
-AT_CHECK([pspp -O format=csv lr-data-unweighted.sps > unweighted-result], [0], [ignore])
-AT_CHECK([pspp -O format=csv lr-data-weighted.sps > weighted-result], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv lr-data-unweighted.sps > unweighted-result], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv lr-data-weighted.sps > weighted-result], [0], [ignore])
 
 dnl The only difference should be the summary information, since
 dnl this displays the unweighted totals.
@@ -257,7 +257,7 @@ compute constant = 1.
 logistic regression female with constant /noconst.
 ])
 
-AT_CHECK([pspp -O format=csv non-const.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv non-const.sps], [0],
  [dnl
 Table: Dependent Variable Encoding
 Original Value,Internal Value
@@ -309,7 +309,7 @@ end data.
 logistic regression y with x1 x2 x3 x4.
 ])
 
-AT_CHECK([pspp -O format=csv non-dich.sps], [1],
+AT_CHECK([$RUNNER $PSPP -O format=csv non-dich.sps], [1],
  [dnl
 error: Dependent variable's values are not dichotomous.
 ])
@@ -737,7 +737,7 @@ logistic regression
 	   .
 ])
 
-AT_CHECK([pspp -O format=csv lr-cat.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv lr-cat.sps], [0],
  [dnl
 Table: Dependent Variable Encoding
 Original Value,Internal Value
@@ -1006,7 +1006,7 @@ logistic regression honcomp with read science ses
 
 ])
 
-AT_CHECK([pspp -O format=csv stringcat.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv stringcat.sps], [0],
  [dnl
 Table: Dependent Variable Encoding
 Original Value,Internal Value
@@ -1069,7 +1069,7 @@ logistic regression y with x1 x2
 	/categorical = x2.
 ])
 
-AT_CHECK([pspp -O format=csv crash.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv crash.sps], [1], [ignore])
 
 AT_CLEANUP
 
@@ -1188,12 +1188,12 @@ logistic regression y with x1 cat0
 	/categorical = cat0.
 ])
 
-AT_CHECK([pspp -O format=csv miss.sps > file1], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv miss.sps > file1], [0], [ignore])
 
 dnl Append a case with a missing categorical.
 AT_CHECK([echo '1  34   .' >> data.txt], [0], [ignore])
 
-AT_CHECK([pspp -O format=csv miss.sps > file2], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv miss.sps > file2], [0], [ignore])
 
 AT_CHECK([diff file1 file2], [1], [dnl
 8,10c8,10
@@ -1423,7 +1423,7 @@ logistic regression
     /print = ci(95).
 ])
 
-AT_CHECK([pspp -O format=csv ci.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv ci.sps], [0], [dnl
 Table: Dependent Variable Encoding
 Original Value,Internal Value
 .000,0
diff --git a/tests/language/stats/means.at b/tests/language/stats/means.at
index 56ab455..be63394 100644
--- a/tests/language/stats/means.at
+++ b/tests/language/stats/means.at
@@ -38,7 +38,7 @@ END DATA.
 MEANS TABLES = score BY factor.
 ])
 
-AT_CHECK([pspp -O format=csv means-simple.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv means-simple.sps], [0],
   [dnl
 Table: Case Processing Summary
 ,Cases,,,,,
@@ -77,7 +77,7 @@ end data.
 means tables = score.
 ])
 
-AT_CHECK([pspp -O format=csv means-vsimple.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv means-vsimple.sps], [0],
   [dnl
 Table: Case Processing Summary
 ,Cases,,,,,
@@ -118,7 +118,7 @@ MEANS TABLES =
       .
 ])
 
-AT_CHECK([pspp -O format=csv means-dmiss.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv means-dmiss.sps], [0],
   [dnl
 Table: Case Processing Summary
 ,Cases,,,,,
@@ -176,7 +176,7 @@ means test1 by group
 ])
 
 
-AT_CHECK([pspp -O format=csv means-linear.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv means-linear.sps], [0],
   [dnl
 Table: Case Processing Summary
 ,Cases,,,,,
@@ -221,7 +221,7 @@ means test1 by group
 ])
 
 
-AT_CHECK([pspp -O format=csv means-stderr.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv means-stderr.sps], [0],
   [dnl
 Table: Case Processing Summary
 ,Cases,,,,,
@@ -264,7 +264,7 @@ means x y
 ])
 
 
-AT_CHECK([pspp -O format=csv means-hg.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv means-hg.sps], [0],
   [dnl
 Table: Case Processing Summary
 ,Cases,,,,,
@@ -308,7 +308,7 @@ MEANS score /CELLS = NONE.
 ])
 
 
-AT_CHECK([pspp -O format=csv means-stat-keywords.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv means-stat-keywords.sps], [0],
   [dnl
 Table: Case Processing Summary
 ,Cases,,,,,
@@ -373,7 +373,7 @@ MEANS a b BY g1
 ])
 
 
-AT_CHECK([pspp -O format=csv means-miss-table.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv means-miss-table.sps], [0],
   [dnl
 Table: Case Processing Summary
 ,Cases,,,,,
@@ -480,7 +480,7 @@ MEANS a b BY g1 /cells =  COUNT /missing = dependent .
 ])
 
 
-AT_CHECK([pspp -O format=csv means-missing.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv means-missing.sps], [0],
   [dnl
 Table: Case Processing Summary
 ,Cases,,,,,
@@ -568,6 +568,6 @@ MEANS TABLES =  outcome
 	BY.
 ])
 
-AT_CHECK([pspp -O format=csv means-bad.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv means-bad.sps], [1], [ignore])
 
 AT_CLEANUP
\ No newline at end of file
diff --git a/tests/language/stats/npar.at b/tests/language/stats/npar.at
index eec7433..1c8eee0 100644
--- a/tests/language/stats/npar.at
+++ b/tests/language/stats/npar.at
@@ -16,7 +16,7 @@ NPAR TESTS
 	/BINOMIAL(0.3) = x
 	.
 ])
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Binomial Test
 ,,Category,N,Observed Prop.,Test Prop.,Exact Sig. (1-tailed)
 x,Group1,1.000,6.000,.286,.300,.551
@@ -41,7 +41,7 @@ NPAR TESTS
 	/BINOMIAL(0.4) = x
 	.
 ])
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Binomial Test
 ,,Category,N,Observed Prop.,Test Prop.,Exact Sig. (1-tailed)
 x,Group1,1,7,.538,.400,.229
@@ -66,7 +66,7 @@ NPAR TESTS
 	/BINOMIAL(0.4) = x
 	.
 ])
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Binomial Test
 ,,Category,N,Observed Prop.,Test Prop.,Exact Sig. (1-tailed)
 x,Group1,1,8,.500,.400,.284
@@ -91,7 +91,7 @@ NPAR TESTS
 	/BINOMIAL(0.6) = x
 	.
 ])
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Binomial Test
 ,,Category,N,Observed Prop.,Test Prop.,Exact Sig. (1-tailed)
 x,Group1,1,11,.478,.600,.164
@@ -115,7 +115,7 @@ WEIGHT BY w.
 NPAR TESTS
 	/BINOMIAL(0.6) = x.
 ])
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Binomial Test
 ,,Category,N,Observed Prop.,Test Prop.,Exact Sig. (1-tailed)
 x,Group1,1,11,.550,.600,.404
@@ -139,7 +139,7 @@ WEIGHT BY w.
 NPAR TESTS
 	/BINOMIAL(0.6) = x.
 ])
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Binomial Test
 ,,Category,N,Observed Prop.,Test Prop.,Exact Sig. (1-tailed)
 x,Group1,1,11,.500,.600,.228
@@ -164,7 +164,7 @@ NPAR TESTS
 	/BINOMIAL = x
 	.
 ])
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Binomial Test
 ,,Category,N,Observed Prop.,Test Prop.,Exact Sig. (2-tailed)
 x,Group1,1,8,.348,.500,.210
@@ -188,7 +188,7 @@ WEIGHT BY w.
 NPAR TESTS
 	/BINOMIAL(0.5) = x.
 ])
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Binomial Test
 ,,Category,N,Observed Prop.,Test Prop.,Exact Sig. (2-tailed)
 x,Group1,1,12,.667,.500,.238
@@ -213,7 +213,7 @@ NPAR TESTS
 	/BINOMIAL(0.5) = x
 	.
 ])
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Binomial Test
 ,,Category,N,Observed Prop.,Test Prop.,Exact Sig. (2-tailed)
 x,Group1,1,10,.500,.500,1.000
@@ -239,7 +239,7 @@ NPAR TESTS
 	/BINOMIAL(0.5) = x (10)
 	.
 ])
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Binomial Test
 ,,Category,N,Observed Prop.,Test Prop.,Exact Sig. (2-tailed)
 x,Group1,<= 10,10.000,.385,.500,.327
@@ -265,7 +265,7 @@ NPAR TESTS
 	/BINOMIAL(0.5) = x (10, 20)
 	.
 ])
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Binomial Test
 ,,Category,N,Observed Prop.,Test Prop.,Exact Sig. (2-tailed)
 x,Group1,10.000,10.000,.435,.500,.678
@@ -290,7 +290,7 @@ NPAR TEST
 	/BINOMIAL(0.5) = Range().
 
 ])
-AT_CHECK([pspp -O format=csv nparX.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv nparX.sps], [1], [ignore])
 
 AT_CLEANUP
 
@@ -326,7 +326,7 @@ NPAR TESTS
   .
 ])
 
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: x
 ,Observed N,Expected N,Residual
 1.00,3.00,2.33,.67
@@ -403,7 +403,7 @@ NPAR TESTS
   .
 ])
 
-AT_CHECK([pspp -O format=csv npar.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [1], [dnl
 "error: CHISQUARE test specified 6 expected values, but 4 distinct values were encountered in variable y."
 
 Table: Test Statistics
@@ -440,7 +440,7 @@ NPAR TESTS
   .
 ])
 
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Frequencies
 ,x,,,,y,,,
 ,Category,Observed N,Expected N,Residual,Category,Observed N,Expected N,Residual
@@ -493,7 +493,7 @@ NPAR TESTS
   .
 ])
 
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Frequencies
 ,x,,,,y,,,
 ,Category,Observed N,Expected N,Residual,Category,Observed N,Expected N,Residual
@@ -551,7 +551,7 @@ npar test
  /method=exact.
 ])
 
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Ranks
 ,,N,Mean Rank,Sum of Ranks
 first - second,Negative Ranks,8,6.00,48.00
@@ -600,7 +600,7 @@ npar test
 ])
 
 dnl This is the same output as the previous test.
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Ranks
 ,,N,Mean Rank,Sum of Ranks
 first - second,Negative Ranks,8,6.00,48.00
@@ -637,7 +637,7 @@ npar tests
 	/METHOD=EXACT
 	.
 ])
-AT_CHECK([pspp -o pspp.csv npar.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv npar.sps])
 dnl Some machines return .313 instead of .312 
 dnl (see bug #31611).
 AT_CHECK([sed -e 's/\.313$/.312/' -e 's/^Exact Sig\. (1-tailed),\.313/Exact Sig. (1-tailed),.312/' pspp.csv], [0], [dnl
@@ -695,7 +695,7 @@ npar tests
 	.
 ])
 
-AT_CHECK([pspp -o pspp.csv kw-simple.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv kw-simple.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Ranks
 ,gv,N,Mean Rank
@@ -748,7 +748,7 @@ npar tests
 	.
 ])
 
-AT_CHECK([pspp -o pspp2.csv kw-missing-group.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp2.csv kw-missing-group.sps])
 
 dnl The result should be the same as before
 AT_CHECK([diff pspp.csv pspp2.csv], [0])
@@ -799,7 +799,7 @@ npar tests
 ])
 
 
-AT_CHECK([pspp -o pspp.csv kw-multi.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv kw-multi.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Ranks
 ,gv,N,Mean Rank
@@ -875,7 +875,7 @@ npar tests
 	.
 ])
 
-AT_CHECK([pspp -O format=csv npar-runs.sps], [0],
+AT_CHECK([$RUNNER $PSPP -O format=csv npar-runs.sps], [0],
 [Table: Runs Test
 ,score
 Test Value (median),3.0000
@@ -920,7 +920,7 @@ end data.
 NPAR TEST /RUNS(1.5) = y.
 ])
 
-AT_CHECK([pspp -O format=csv npar-runs.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar-runs.sps], [0], [dnl
 Table: Runs Test
 ,y
 Test Value,1.50
@@ -955,7 +955,7 @@ npar tests
      /friedman = x y z.
 ])
 
-AT_CHECK([pspp -O format=csv npar-friedman.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar-friedman.sps], [0], [dnl
 Table: Ranks
 ,Mean Rank
 x,2.6500
@@ -1019,7 +1019,7 @@ NPAR TESTS
      /M-W = height BY sex (0,1).
 ])
 
-AT_CHECK([pspp -O format=csv npar-mann-whitney.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar-mann-whitney.sps], [0], [dnl
 Table: Ranks
 ,N,,,Mean Rank,,Sum of Ranks,
 ,0,1,Total,0,1,0,1
@@ -1056,7 +1056,7 @@ npar tests
 
 ])
 
-AT_CHECK([pspp -o pspp.csv npar-cochran.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv npar-cochran.sps])
 
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Frequencies
@@ -1125,7 +1125,7 @@ npar tests
 	.
 ])
 
-AT_CHECK([pspp -o pspp.csv npar-kendall.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv npar-kendall.sps])
 
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Ranks
@@ -1178,7 +1178,7 @@ npar tests
      /mcnemar = v1 WITH v2 junk.
 ])
 
-AT_CHECK([pspp -O format=csv mcnemar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv mcnemar.sps], [0], [dnl
 Table: v1 & v2
 v1,v2,
 ,.000,1.000
@@ -1221,7 +1221,7 @@ end data.
 npar tests k-s (uniform 0 1) = x.
 ])
 
-AT_CHECK([pspp -O format=csv ks-uniform.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv ks-uniform.sps], [0], [dnl
 Table: One-Sample Kolmogorov-Smirnov Test
 ,,x
 N,,10
@@ -1424,7 +1424,7 @@ npar tests
 	/k-s (normal) = foo bar.
 ])
 
-AT_CHECK([pspp -O format=csv ks-normal.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv ks-normal.sps], [0], [dnl
 Table: One-Sample Kolmogorov-Smirnov Test
 ,,foo,bar
 N,,174,48
@@ -1491,7 +1491,7 @@ npar tests
 ])
 
 
-AT_CHECK([pspp -O format=csv median1.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv median1.sps], [0], [dnl
 Table: Frequencies
 ,,Animal Genus,,,,
 ,,Animal 1,Animal 2,Animal 3,Animal 4,Animal 5
@@ -1554,7 +1554,7 @@ npar tests
 ])
 
 
-AT_CHECK([pspp -O format=csv median2.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv median2.sps], [0], [dnl
 Table: Frequencies
 ,,Animal Genus,,,,
 ,,Animal 1,Animal 2,Animal 3,Animal 4,Animal 5
@@ -1617,7 +1617,7 @@ npar tests
 ])
 
 
-AT_CHECK([pspp -O format=csv median3.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv median3.sps], [0], [dnl
 Table: Frequencies
 ,,Animal Genus,
 ,,Animal 1,Animal 5
@@ -1668,7 +1668,7 @@ npar test /jonckheere-terpstra = x by g (5, 2).
 ])
 
 
-AT_CHECK([pspp -O format=csv jt.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv jt.sps], [0], [dnl
 Table: Jonckheere-Terpstra Test
 ,Number of levels in g,N,Observed J-T Statistic,Mean J-T Statistic,Std. Deviation of J-T Statistic,Std. J-T Statistic,Asymp. Sig. (2-tailed)
 x,4,24.000,29.500,65.000,15.902,-2.232,.026
@@ -1692,7 +1692,7 @@ end data.
 npar tests /wilcoxon a b with c c (paired).
 ])
 
-AT_CHECK([pspp -O format=csv npar.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [0], [dnl
 Table: Ranks
 ,,N,Mean Rank,Sum of Ranks
 a - c,Negative Ranks,2,2.500,5.000
@@ -1739,6 +1739,6 @@ NPAR TEST
 	/EXPECTED =  1.2.
 ])
 
-AT_CHECK([pspp -O format=csv npar.sps], [1], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv npar.sps], [1], [ignore])
 
 AT_CLEANUP
diff --git a/tests/language/stats/oneway.at b/tests/language/stats/oneway.at
index 1d6b4c1..d30ef65 100644
--- a/tests/language/stats/oneway.at
+++ b/tests/language/stats/oneway.at
@@ -34,7 +34,7 @@ ONEWAY
 	.
 ])
 
-AT_CHECK([pspp -O format=csv oneway.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv oneway.sps], [0], [dnl
 Table: Descriptives
 ,,,,,,95% Confidence Interval for Mean,,,
 ,,N,Mean,Std. Deviation,Std. Error,Lower Bound,Upper Bound,Minimum,Maximum
@@ -105,7 +105,7 @@ ONEWAY
 	.
 ])
 
-AT_CHECK([pspp -O format=csv oneway-splits.sps], [0], 
+AT_CHECK([$RUNNER $PSPP -O format=csv oneway-splits.sps], [0], 
 [Variable,Value,Label
 S,1.00,
 
@@ -236,9 +236,9 @@ ONEWAY
 
 
 
-AT_CHECK([pspp -O format=csv oneway-missing1.sps > first.out], [0])
+AT_CHECK([$RUNNER $PSPP -O format=csv oneway-missing1.sps > first.out], [0])
 
-AT_CHECK([pspp -O format=csv oneway-missing2.sps > second.out], [0])
+AT_CHECK([$RUNNER $PSPP -O format=csv oneway-missing2.sps > second.out], [0])
 
 AT_CHECK([diff first.out second.out], [0], [])
 
@@ -271,7 +271,7 @@ ONEWAY
 	.
 ])
 
-AT_CHECK([pspp -O format=csv oneway-missing3.sps > third.out], [0])
+AT_CHECK([$RUNNER $PSPP -O format=csv oneway-missing3.sps > third.out], [0])
 
 AT_CHECK([diff first.out third.out], [0], [])
 
@@ -310,7 +310,7 @@ ONEWAY
 	.
 ])
 
-AT_CHECK([pspp -O format=csv oneway-descriptives.sps], [0], 
+AT_CHECK([$RUNNER $PSPP -O format=csv oneway-descriptives.sps], [0], 
 [Table: Descriptives
 ,,,,,,95% Confidence Interval for Mean,,,
 ,,N,Mean,Std. Deviation,Std. Error,Lower Bound,Upper Bound,Minimum,Maximum
@@ -359,7 +359,7 @@ ONEWAY
 	.
 ])
 
-AT_CHECK([pspp -O format=csv oneway-homogeneity.sps], [0], 
+AT_CHECK([$RUNNER $PSPP -O format=csv oneway-homogeneity.sps], [0], 
 [Table: Test of Homogeneity of Variances
 ,Levene Statistic,df1,df2,Sig.
 QUALITY,.09,2,12,.913
@@ -415,7 +415,7 @@ ONEWAY x y z by g
 	.
 ])
 
-AT_CHECK([pspp -o pspp.csv multivar.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv multivar.sps])
 
 dnl Some machines return 3.88 instead of 3.87 below (see bug #31611).
 AT_CHECK([sed 's/^,Within Groups,3.88/,Within Groups,3.87/' pspp.csv], [0], [dnl
@@ -517,7 +517,7 @@ ONEWAY
 	.
 ])
 
-AT_CHECK([pspp -o pspp-unweighted.csv oneway-unweighted.sps], [0], [ignore], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp-unweighted.csv oneway-unweighted.sps], [0], [ignore], [ignore])
 
 AT_DATA([oneway-weighted.sps],
 [DATA LIST NOTABLE LIST /QUALITY * BRAND * W *.
@@ -546,7 +546,7 @@ ONEWAY
 	.
 ])
 
-AT_CHECK([pspp -o pspp-weighted.csv oneway-weighted.sps], [0], [ignore], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp-weighted.csv oneway-weighted.sps], [0], [ignore], [ignore])
 
 AT_CHECK([diff pspp-weighted.csv pspp-unweighted.csv], [0])
 
@@ -588,7 +588,7 @@ oneway pigmentation by family
 	 .
 ])
 
-AT_CHECK([pspp -O format=csv oneway-pig.sps], [0], 
+AT_CHECK([$RUNNER $PSPP -O format=csv oneway-pig.sps], [0], 
 [Table: Descriptives
 ,,,,,,95% Confidence Interval for Mean,,,
 ,,N,Mean,Std. Deviation,Std. Error,Lower Bound,Upper Bound,Minimum,Maximum
@@ -666,7 +666,7 @@ oneway libido by dose
 	/posthoc tukey gh.
 ])
 
-AT_CHECK([pspp -O format=csv oneway-tukey.sps], [0], 
+AT_CHECK([$RUNNER $PSPP -O format=csv oneway-tukey.sps], [0], 
 [Table: ANOVA
 ,,Sum of Squares,df,Mean Square,F,Sig.
 libido,Between Groups,20.133,2,10.067,5.119,.025
@@ -726,7 +726,7 @@ ONEWAY
   /POSTHOC = SIDAK.
 ])
 
-AT_CHECK([pspp -O format=csv oneway-sidak.sps], [0], 
+AT_CHECK([$RUNNER $PSPP -O format=csv oneway-sidak.sps], [0], 
 [Table: ANOVA
 ,,Sum of Squares,df,Mean Square,F,Sig.
 score,Between Groups,54.9500,3,18.3167,7.0449,.003
@@ -807,7 +807,7 @@ oneway usage by group
 	/posthoc scheffe.
 ])
 
-AT_CHECK([pspp -O format=csv oneway-scheffe.sps], [0], 
+AT_CHECK([$RUNNER $PSPP -O format=csv oneway-scheffe.sps], [0], 
 [Table: ANOVA
 ,,Sum of Squares,df,Mean Square,F,Sig.
 Days of Use,Between Groups,555.275,3,185.092,6.663,.001
@@ -858,7 +858,7 @@ ONEWAY /VARIABLES= height weight temperature BY sex
 ])
 
 
-AT_CHECK([pspp -O format=csv oneway-bad-contrast.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv oneway-bad-contrast.sps], [0], [dnl
 "oneway-bad-contrast.sps:18: warning: ONEWAY: In contrast list 3, the number of coefficients (3) does not equal the number of groups (2). This contrast list will be ignored."
 
 Table: ANOVA
@@ -920,7 +920,7 @@ compute x = 1.
 oneway test by x.
 ])
 
-AT_CHECK([pspp -O format=csv crash.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv crash.sps], [0], [ignore])
 
 AT_CLEANUP
 
@@ -947,7 +947,7 @@ ONEWAY
        .
 ])
 
-AT_CHECK([pspp -O format=csv crash2.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv crash2.sps], [0], [ignore])
 
 AT_CLEANUP
 
@@ -971,7 +971,7 @@ ONEWAY
  . 
 ])
 
-AT_CHECK([pspp -O format=csv crash3.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv crash3.sps], [0], [ignore])
 
 AT_CLEANUP
 
@@ -992,6 +992,6 @@ ONEWAY /VARIABLES= height weight temperature BY sex
  .
 ])
 
-AT_CHECK([pspp -O format=csv crash4.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv crash4.sps], [0], [ignore])
 
 AT_CLEANUP
